Name:		google-authenticator
Version:	1.01.20160217
Release:	1%{?dist}
Epoch:      10
Summary:	One-time passcode support using open standards
Summary(ko): 공개표준을 이용한 일회용 암호 제공 PAM 모듈

Group:		System Environment/Base
License:	ASL 2.0
URL:		https://github.com/google/google-authenticator
Source0:	%{name}-%{version}.tar.bz2
Patch0:		secret-default-path.patch

BuildRequires:	pam-devel libtool
Requires:	pam

%description
The Google Authenticator package contains a pluggable authentication
module (PAM) which allows login using one-time passcodes conforming to
the open standards developed by the Initiative for Open Authentication
(OATH) (which is unrelated to OAuth).

Passcode generators are available (separately) for several mobile
platforms.

These implementations support the HMAC-Based One-time Password (HOTP)
algorithm specified in RFC 4226 and the Time-based One-time Password
(TOTP) algorithm specified in RFC 6238.


%prep
%setup -q
%patch0 -p1

bash bootstrap.sh

%build
%configure --libdir=/%{_lib}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm $RPM_BUILD_ROOT/%{_lib}/security/pam_google_authenticator.la

%files
%defattr(-,root,root,-)
/%{_lib}/security/pam_google_authenticator.so
%{_bindir}/%{name}
%{_defaultdocdir}/%{name}/README.md
%{_defaultdocdir}/%{name}/totp.html
%{_defaultdocdir}/%{name}/FILEFORMAT

%changelog
* Wed Feb 17 2016 JoungKyun.Kim <http://oops.org> - 10:1.01-1%{?dist}
- changed default secret path to ~/.ssh/google_authenticator

* Wed Jan 13 2016 Dan Molik <dan@d3fy.net> - 1.01
- A new and updated build for google-authenticator
